package net.wanji.utc.util;

/**
 * 灯态的16个方向转换为8个方向类型
 * 注：用于计算空放
 */
public class DirectionConverter {

    /**
     * 将0~15的进口方向编号转换为1~8的方向类型
     * @param directionCode 0~15的输入方向编号
     * @return 1~8的输出方向类型
     */
    public static int convertDirection(int directionCode) {
        if (directionCode < 0 || directionCode > 15) {
            throw new IllegalArgumentException("directionCode must be between 0 and 15");
        }

        switch (directionCode) {
            case 15:
            case 0:
                return 1; // 北
            case 1:
            case 2:
                return 2; // 东北
            case 3:
            case 4:
                return 3; // 东
            case 5:
            case 6:
                return 4; // 东南
            case 7:
            case 8:
                return 5; // 南
            case 9:
            case 10:
                return 6; // 西南
            case 11:
            case 12:
                return 7; // 西
            case 13:
            case 14:
                return 8; // 西北
        }
        return 0; // 未知方向
    }

    public static void main(String[] args) {
        for (int i = 0; i <= 15; i++) {
            System.out.println("Input: " + i + " → Output: " + convertDirection(i));
        }
    }
}
